Subject: Re: bug#45319: 28.0.50; Redisplay: `forward-char' moves backwards into invisible text

From: Eli Zaretskii <[email-masked]>
Date: Sun, 20 Dec 2020 17:38:26 +0200

> From: Michael Heerdegen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 20 Dec 2020 09:01:52 +0100
> 
> I see now that that problem has been discussed in Bug#23079.  If you
> think that everything is alright with my test case you might close this
> bug and probably merge with that one.

I closed this one.  Merging them is too much of a hassle with
debbugs's unhelpful defaults for archived bugs.

The only other thing I could say, which may or may not be helpful for
your use case, is that Lisp programs shouldn't assume they will always
find point outside of invisible portion of the text, and instead
actively look for the first visible position after point.